Routesv2ServersSlug
/servers/{slug}
Get a single MCP server. The response body can be PUT back to update the server
AuthorizationBearer <token>
In: header
Path Parameters
slug*string
Length
1 <= lengthResponse Body
application/json
curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v2/servers/string"{
"id": "string",
"slug": "string",
"tenantId": "string",
"description": "string",
"authorization": {
"method": "none",
"credentialsScope": "server",
"apikeys": [
"string"
],
"toolRefreshCredentialPolicy": "server-scoped"
},
"transportConfig": {
"type": "httpstreaming",
"url": "string",
"headers": [
[
"string",
"string"
]
]
},
"oauthClientConfiguration": {},
"oauthMetadata": {},
"visibility": "private",
"isEnabled": true,
"lastToolRefreshAt": "string",
"timeoutProtocol": 9007199254740991,
"timeoutTotal": 9007199254740991,
"resetTimeoutOnProgressNotification": true,
"isOutputCompressionEnabled": true,
"isOutputCompressionTransformEnabled": true,
"outputCompressionThresholdBytes": 1024,
"firewallRules": [
{
"condition": "string",
"action": "deny"
}
],
"createdAt": "string",
"updatedAt": "string"
}